#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define app_name fast_yaml

Name:           erlang-%{app_name}
Version:        1.0.18
Release:        1.2
%define app_ver %(echo "%{version}" | cut -d "+" -f1)
License:        Apache-2.0
Summary:        An Erlang wrapper for libyaml "C" library
Url:            http://github.com/processone/fast_yaml/
Group:          Development/Libraries/Other
Source:         %{app_name}-%{version}.tar.xz
Requires:       erlang
BuildRequires:  erlang
BuildRequires:  erlang-rebar
BuildRequires:  erlang-p1_utils
BuildRequires:  libyaml-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{name}-devel = %{version}-%{release}
%description
P1 YAML is an Erlang wrapper for libyaml "C" library.

%prep
%setup -q -n %{app_name}-%{version}

%build
%rebar compile

%install
for dir in ebin priv ; do
  mkdir -p %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}
  cp -r ${dir}/* %{buildroot}%{erlang_libdir}/%{app_name}-%{app_ver}/${dir}/
done

%check
%rebar eunit

%files
%defattr(-,root,root)
%doc CHANGELOG.md  LICENSE.txt  README.md
%dir %{erlang_libdir}/%{app_name}-%{app_ver}
%dir %{erlang_libdir}/%{app_name}-%{app_ver}/ebin
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/%{app_name}.app
%{erlang_libdir}/%{app_name}-%{app_ver}/ebin/*.beam
%{erlang_libdir}/%{app_name}-%{app_ver}/priv

%changelog
* Mon Mar  4 2019 obs-service-tar-scm@invalid
- Update to version 1.0.18:
  * Release 1.0.18
  * Update changelog
  * Add CoC and contribution guide
  * Update copyright to 2019 (processone/ejabberd#2756)
* Thu Nov 23 2017 mrueckert@suse.de
- Update to version 1.0.12:
  * Release 1.0.12
  * Update changelog
  * Fix size of memory allocation
  * Release 1.0.11
  * Update changelog
  * Improve error formatting
  * Release version 1.0.10
  * Release 1.0.9
  * Improve type specs
  * Use update rebar.config.script
* Sat Nov  4 2017 mrueckert@suse.de
- Update to version 1.0.11:
  * Update changelog
  * Improve error formatting
* Mon Jul 10 2017 mrueckert@suse.de
- add devel package provides
* Sun Jul  9 2017 mrueckert@suse.de
- Update to version 1.0.10:
  * Update p1_utils
  * Use p1_utils 1.0.6
  * Release 1.0.7
  * Load local .so instead from system package when running tests
  * Update copyright year (processone/ejabberd#1442)
  * Release 1.0.8
  * Use update rebar.config.script
  * Improve type specs
  * Release 1.0.9
  * Release version 1.0.10
* Fri Sep 23 2016 mrueckert@suse.de
- update to 75f9d3e
* Thu Apr  7 2016 mrueckert@suse.de
- update to 9a3b510
* Thu Mar  3 2016 mrueckert@suse.de
- update to 162f6e1
* Thu Nov 26 2015 mrueckert@suse.de
- update to 79f756b
* Sat Jul  5 2014 mrueckert@suse.de
- cleanup
  - added proper description and summary
  - install documentation
  - use the timestamp from the last git commit
* Fri Jul  4 2014 mrueckert@suse.de
-  initial package
